• 1
  • 19
  • 20
  • 21
  • 22
  • 23(current)
Broken Multi Weather
Tested on Kodi 20 Nexus, confirm it v0.0.27 working with old cookie after re-enabled. Attention to latest change of addon:
https://imgur.com/a/YMnhECa
Reply
(2024-07-07, 16:10)axbmcuser Wrote: Tested on Kodi 21, i have no problems disabling and enabling MultiWeather with todays update 0.0.27

The add-on is marked as broken, but can still be (re-)enabled.

Also, weather data still works while using an old/valid cookie.

As far as i can see, there is no need to downgrade to 0.0.26
Any idea why the addon is not offered to me in the addon browser (see screenshot above)?
Reply
@devkid

Yes, just made some quick tests on a fresh Kodi install:

In the add-ons browser like in your screenshot, you have to open the left sidebar and disable "Hide incompatible" - then Multi Weather is visible again an you can install it via the "Versions" button.
猬咃笍猬咃笍 Leave 馃憤 on useful posts聽 路聽 axbmcuser REPO (Easy install)聽 路聽 Confluence ZEITGEIST (intuitive UI for Kodi)
Reply
Ahh ok, thanks for checking. I have found the option you mentioned on the default skin, but not on the Arctic Zephyr I am using. Maybe it does not offer that option.
Reply
No worries, happy to help. If i see correctly, this "Hide incompatible" option is exclusively accessible via the sidebar while "install from repo" browsing in the add-on browser and is not found anywhere else ("Settings > System > Add-ons" comes to mind)

Therefore, as you correctly assumed, you are fully reliant on a skin to have this option accessible somewhere or you have to switch skins for a minute to change it.
猬咃笍猬咃笍 Leave 馃憤 on useful posts聽 路聽 axbmcuser REPO (Easy install)聽 路聽 Confluence ZEITGEIST (intuitive UI for Kodi)
Reply
(2024-07-07, 16:10)axbmcuser Wrote: Tested on Kodi 21, i have no problems disabling and enabling MultiWeather with todays update 0.0.27

The add-on is marked as broken, but can still be (re-)enabled.

Also, weather data still works while using an old/valid cookie.

As far as i can see, there is no need to downgrade to 0.0.26
Thanks for post.
Re-enabled, recopied settings.xml and rebooted Kodi.
Now working again.
Do you know what was the point of the disabling update being released was?
Reply
@Jeffers24
No worries. Don't know why it disabled for you. I updated to 0.0.27 and the add-on was still enabled after update.

ronie correctly marked the add-on as broken with useful information that states that only users with old+valid cookie data will still be able to fetch weather data.
Not doing this would not be a better solution because other users might ask why the add-on is not marked as broken when it clearly is in some way.

Might be a matter of perspective. :-)

But i fully understand that Kodis handling of the broken-status can be a bit confusing.
猬咃笍猬咃笍 Leave 馃憤 on useful posts聽 路聽 axbmcuser REPO (Easy install)聽 路聽 Confluence ZEITGEIST (intuitive UI for Kodi)
Reply
^ yup, that is exactly it.
kodi doesn't have a "broken for some but works for others" addon status ;-)

so, there is no other way to prevent new people from installing the addon.

afaik, you'll only get a notification popup asking if you want to disable the addon,
but it shouldn't do so automatically.
Do not PM or e-mail Team-Kodi members directly asking for support.
Always read the Forum rules, Kodi online-manual, FAQ, Help and Search the forum before posting.
Reply
The addon got disabled for me as well. Just noticed it because the weather wasn't updating so I checked the latest posts here. However I just had to enable it again, didn't need to copy the settings, everything still there.
Reply
(2024-07-07, 21:17)ronie Wrote: ^ yup, that is exactly it.
kodi doesn't have a "broken for some but works for others" addon status ;-)

so, there is no other way to prevent new people from installing the addon.

afaik, you'll only get a notification popup asking if you want to disable the addon,
but it shouldn't do so automatically.
On both my Kodi (Omega) instances when the addon auto updated it also was automatically disabled. I just re-enabled the addon and was back in business.
Reply
Maybe the previously described sidebar setting "Hide incompatible" also causes add-ons which have a broken-status change to be disabled (once) when updated.
猬咃笍猬咃笍 Leave 馃憤 on useful posts聽 路聽 axbmcuser REPO (Easy install)聽 路聽 Confluence ZEITGEIST (intuitive UI for Kodi)
Reply
(2024-07-07, 17:17)axbmcuser Wrote: @devkid

Yes, just made some quick tests on a fresh Kodi install:

In the add-ons browser like in your screenshot, you have to open the left sidebar and disable "Hide incompatible" - then Multi Weather is visible again an you can install it via the "Versions" button.

I have the option in the skin I am using, see screenshot.
Not sure what the Hide Foreign option does聽 Rofl
Image
Reply
  • 1
  • 19
  • 20
  • 21
  • 22
  • 23(current)

Logout Mark Read Team Forum Stats Members Help
Multi Weather0
This forum uses Lukasz Tkacz MyBB addons.